Bug 148872 - on errata creation product string is limited to 32 chars
on errata creation product string is limited to 32 chars
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity low
: ---
: ---
Assigned To: Michael Bowman
Max Spevack
:
Depends On: 149470
Blocks: 145824
  Show dependency treegraph
 
Reported: 2005-02-16 09:43 EST by Kurt Keller
Modified: 2007-07-31 11:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 12:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (6.15 KB, text/plain)
2005-03-13 12:10 EST, Max Spevack
no flags Details

  None (edit)
Description Kurt Keller 2005-02-16 09:43:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When creating errata, the string entered in the 'Product' field
can only be 32 characters long.

It is possible to enter a longer Product string, but then the server returns
the following error message:

>500 Error - Internal Server Error
>
>You may have reached this page in one of the following ways:
>
>   1. You are using an outdated version of Konqueror 3.0, which may not handle
>      form variables properly in all cases. Continuing to use this outdated
>      version of Konqueror may have unexpected results. Please up2date to the
>      latest version of Konqueror (3.03 or greater), or if this is not
>      possible, please use another browser.
>   2. You've found an error in the site. Please report this error to your
>      local administrator with details of how you received this message.


Version-Release number of selected component (if applicable):
rhn-satellite-schema-3.6-214  rhn-base-3.6.2-13.hotfix

How reproducible:
Always

Steps to Reproduce:
1. Errata -> Manage Errata -> create new erratum
2. fill in the necessary fields and use a string for the product field which
   is more than 32 characters long
3. click on 'Create Errata'
  

Actual Results:  The following error message is returned by the server:

>500 Error - Internal Server Error
>
>You may have reached this page in one of the following ways:
>
>   1. You are using an outdated version of Konqueror 3.0, which may not handle
>      form variables properly in all cases. Continuing to use this outdated
>      version of Konqueror may have unexpected results. Please up2date to the
>      latest version of Konqueror (3.03 or greater), or if this is not
>      possible, please use another browser.
>   2. You've found an error in the site. Please report this error to your
>      local administrator with details of how you received this message.


Expected Results:  The errata should be created. If the string has to be limited to 32 characters,
either an appropriate error message should be returned, or the field should be
created with a maxlengtht=32 attribute to the HTML tag.

Additional info:
Comment 1 Michael Bowman 2005-02-24 12:26:11 EST
Changed DB column to 64. Also, we now enforce the maxlength=64 in the
html.
Comment 2 Max Spevack 2005-03-13 12:10:01 EST
FAILS_QA.

On https://rhn.webqa.redhat.com/network/errata/manage/edit.pxt I
entered a 35-character string into every field (exept for the bug ID,
which requires a number).

I got a 500 error.
Comment 3 Max Spevack 2005-03-13 12:10:41 EST
Created attachment 111949 [details]
traceback
Comment 4 Bret McMillan 2005-03-13 17:02:30 EST
Ok, advisory was getting screwed up...

in db, advisory_name maxes out @ 32 char.
in db, advisory maxes out @ 32 char.

in form, advisory_release maxes out @ 4 char.

from form, advisory == advisory_name + '-' + advisory_release

but 32 != 32 + 1 + 4.

So, took advisory_name in the form down to 27, so that:
32 == 27 + 1 + 4


Should be fixed in web packages >= 3.7.0-62
Comment 5 Max Spevack 2005-03-14 16:06:21 EST
Fix verified in webqa.
Comment 6 Todd Warner 2005-04-08 12:09:49 EDT
mass move: PROD_READY --> CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.